package com.yunfeiyun.agmp.fms.domain;

import com.yunfeiyun.agmp.common.annotation.Excel;
import com.yunfeiyun.agmp.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 溯源信息对象 TssSourceinfo
 * 
 * @author 杨晓辉
 * @date 2023-06-25
 */
public class TssSourceinfo extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 溯源信息标识 */
    private String sourceinfoId;

    /** 溯源信息名字 */
    @Excel(name = "溯源信息名字")
    private String sourceinfoName;

    /** 溯源信息编码 */
    @Excel(name = "溯源信息编码")
    private String sourceinfoCode;

    /** 溯源信息体检状态 */
    @Excel(name = "溯源信息体检状态")
    private String sourceinfoQualitystatus;

    /** 溯源信息体检报告说明 */
    @Excel(name = "溯源信息体检报告说明")
    private String sourceinfoQualityremark;

    /** 溯源信息生长状态 */
    @Excel(name = "溯源信息生长状态")
    private String sourceinfoGrowstatus;

    /** 溯源信息形象状态 */
    @Excel(name = "溯源信息形象状态")
    private String sourceinfoFiguretatus;

    /** 溯源信息创建人 */
    @Excel(name = "溯源信息创建人")
    private String sourceinfoCreator;

    /** 溯源信息创建时间 */
    @Excel(name = "溯源信息创建时间")
    private String sourceinfoCreateddate;

    /** 溯源信息修改人 */
    @Excel(name = "溯源信息修改人")
    private String sourceinfoModifier;

    /** 溯源信息修改时间 */
    @Excel(name = "溯源信息修改时间")
    private String sourceinfoModifieddate;

    public void setSourceinfoId(String sourceinfoId)
    {
        this.sourceinfoId = sourceinfoId;
    }

    public String getSourceinfoId()
    {
        return sourceinfoId;
    }
    public void setSourceinfoName(String sourceinfoName)
    {
        this.sourceinfoName = sourceinfoName;
    }

    public String getSourceinfoName()
    {
        return sourceinfoName;
    }
    public void setSourceinfoCode(String sourceinfoCode)
    {
        this.sourceinfoCode = sourceinfoCode;
    }

    public String getSourceinfoCode()
    {
        return sourceinfoCode;
    }
    public void setSourceinfoQualitystatus(String sourceinfoQualitystatus)
    {
        this.sourceinfoQualitystatus = sourceinfoQualitystatus;
    }

    public String getSourceinfoQualitystatus()
    {
        return sourceinfoQualitystatus;
    }
    public void setSourceinfoQualityremark(String sourceinfoQualityremark)
    {
        this.sourceinfoQualityremark = sourceinfoQualityremark;
    }

    public String getSourceinfoQualityremark()
    {
        return sourceinfoQualityremark;
    }
    public void setSourceinfoGrowstatus(String sourceinfoGrowstatus)
    {
        this.sourceinfoGrowstatus = sourceinfoGrowstatus;
    }

    public String getSourceinfoGrowstatus()
    {
        return sourceinfoGrowstatus;
    }
    public void setSourceinfoFiguretatus(String sourceinfoFiguretatus)
    {
        this.sourceinfoFiguretatus = sourceinfoFiguretatus;
    }

    public String getSourceinfoFiguretatus()
    {
        return sourceinfoFiguretatus;
    }
    public void setSourceinfoCreator(String sourceinfoCreator)
    {
        this.sourceinfoCreator = sourceinfoCreator;
    }

    public String getSourceinfoCreator()
    {
        return sourceinfoCreator;
    }
    public void setSourceinfoCreateddate(String sourceinfoCreateddate)
    {
        this.sourceinfoCreateddate = sourceinfoCreateddate;
    }

    public String getSourceinfoCreateddate()
    {
        return sourceinfoCreateddate;
    }
    public void setSourceinfoModifier(String sourceinfoModifier)
    {
        this.sourceinfoModifier = sourceinfoModifier;
    }

    public String getSourceinfoModifier()
    {
        return sourceinfoModifier;
    }
    public void setSourceinfoModifieddate(String sourceinfoModifieddate)
    {
        this.sourceinfoModifieddate = sourceinfoModifieddate;
    }

    public String getSourceinfoModifieddate()
    {
        return sourceinfoModifieddate;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
            .append("sourceinfoId", getSourceinfoId())
            .append("sourceinfoName", getSourceinfoName())
            .append("sourceinfoCode", getSourceinfoCode())
            .append("sourceinfoQualitystatus", getSourceinfoQualitystatus())
            .append("sourceinfoQualityremark", getSourceinfoQualityremark())
            .append("sourceinfoGrowstatus", getSourceinfoGrowstatus())
            .append("sourceinfoFiguretatus", getSourceinfoFiguretatus())
            .append("sourceinfoCreator", getSourceinfoCreator())
            .append("sourceinfoCreateddate", getSourceinfoCreateddate())
            .append("sourceinfoModifier", getSourceinfoModifier())
            .append("sourceinfoModifieddate", getSourceinfoModifieddate())
            .toString();
    }
}
